org.apache.ignite.thread

## Class IgniteThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.ignite.thread.IgniteThread

All Implemented Interfaces:
  Runnable

    public class IgniteThread
    extends Thread

This class adds some necessary plumbing on top of the `Thread` class. Specifically, it adds:

- Consistent naming of threads
- Dedicated parent thread group
- Backing interrupted flag

Note: this class is intended for internal use only.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`IgniteThread(GridWorker worker)` Creates thread with given worker.
`IgniteThread(String gridName, String threadName, Runnable r)` Creates grid thread with given name for a given grid.
`IgniteThread(ThreadGroup grp, String gridName, String threadName, Runnable r)` Creates grid thread with given name for a given grid with specified thread group.

### Method Summary

Methods
`boolean` `processingMessage()`
`void` `processingMessage(boolean procMsg)`
`String` `toString()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteThread

    public IgniteThread(GridWorker worker)

Creates thread with given worker.

Parameters:
  `worker` - Runnable to create thread with.

#### IgniteThread

    public IgniteThread(String gridName,
                String threadName,
                Runnable r)

Creates grid thread with given name for a given grid.

Parameters:
  `gridName` - Name of grid this thread is created for.
  `threadName` - Name of thread.
  `r` - Runnable to execute.

#### IgniteThread

    public IgniteThread(ThreadGroup grp,
                String gridName,
                String threadName,
                Runnable r)

Creates grid thread with given name for a given grid with specified thread group.

Parameters:
  `grp` - Thread group.
  `gridName` - Name of grid this thread is created for.
  `threadName` - Name of thread.
  `r` - Runnable to execute.

### Method Detail

#### processingMessage

    public void processingMessage(boolean procMsg)

Parameters:
  `procMsg` - Flag indicating whether thread is currently processing message.

#### processingMessage

    public boolean processingMessage()

Returns:
  Flag indicating whether thread is currently processing message.

#### toString

    public String toString()

Overrides:
  `toString` in class `Thread`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015